package de.unima.ki.javakurs.tag4.prozess;
import static org.junit.Assert.assertTrue;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.PriorityQueue;

import org.junit.Before;
import org.junit.Test;


public class SchedulerTest {
	
	ArrayList<Process> array = new ArrayList<Process>();
	HashSet<Process> set = new HashSet<Process>();
	
	@Before
	public void setUp(){
		array.add(new Process(1,2));
		array.add(new Process(3,4));
		array.add(new Process(3,5));
		array.add(new Process(5,2));
		set.addAll(array);
	}
	
	@Test
	public void ProcessTest(){
		Scheduler s = new Scheduler();
		s.schedulerQueue.addAll(set);
		assertTrue(equals(s.schedulerQueue,array));
	}
	
	
	private static boolean equals(PriorityQueue<Process> c1,ArrayList<Process> c2){
		for(int i = 0; i < c2.size(); i++){
			if(c2.get(i).priority == c1.peek().priority && c2.get(i).time == c1.peek().time)
				c1.remove();
			else
				return false;
		}
		return true;
	}
}
